import { createApp } from 'vue'
import App from './App.vue'
import store from 'src/store'
import router from 'src/router'
import './permission' // permission control
import 'amfe-flexible'

//导入通用样式-----类似于bootstrap,由于某些原因,暂时不考虑导入bootstrap,而是选择把平时常用的自己封装, 维护
import './common/styleCss/common.css'

//导入自定义样式--根据vant封装的自定义样式
import './common/styleCss/custom.css'

import 'vant/lib/index.css';

// 前端调试神器
// import './common/vconsole'

// 拦截 Ajax 请求, 生成模拟数据
// import './common/mock/index'

// app原生功能注入 (二维码扫描功能)
import NativeQRCode from "./common/nativeJSdk/native";
import OperData from "./common/nativeJSdk/OperData";

import { ConfigProvider } from 'vant';

import '../public/assets/font/font.scss'

// 初始化
const app = createApp(App)
app.use(store)
app.use(router)
// 挂载全局app原生sdk
app.config.globalProperties.$nativeQRCode = NativeQRCode;
app.config.globalProperties.$operData= OperData;

app.mount('#app')
app.use(ConfigProvider);
// app.commandLine.appendSwitch('ignore-certificate-errors')
